Which Update file do I use for my R4i Gold non 3DS Cart for 3.0.0-5U?

Discussion in '3DS - Flashcards & Custom Firmwares' started by thewonderer, Dec 20, 2011.

  1. thewonderer
    OP

    Newcomer thewonderer Member

    Joined:
    May 17, 2009
    Messages:
    38
    Country:
    United States
    I've been searching the r4ids.cn website and I found the page

    http://www.r4ids.cn/...download-e.html

    Is "The DSi V1.43 Patch for R4i Gold Non-3DS is released now! (for R4i gold Non 3DS card only)(Jul.26,2011)" what I have to download and use as an update for my cart to work on the 3DS system?
     
  2. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    There's no guarantee that kit has been updated for 3.0 according to (lack of information on) their news page! The update you refer to was for DSi 1.4.3 compatibility so, no.
     
  3. thewonderer
    OP

    Newcomer thewonderer Member

    Joined:
    May 17, 2009
    Messages:
    38
    Country:
    United States

    Any update now for it? The guy on this page on top said that using the patch above would make it work for 3.0.0-5U. Does it not? Im trying right now to update with a ds lite and im getting this error card check failed
     
  4. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    You said the non 3DS cart.
    The official site doesn't say anywhere that there's an update after the 1.4.3 DSi update for the Non-3DS version of the cart. The most recent flash update intended for it is from July, and that doesn't assure anything for 3DS 3.0.x compatibility.
     
  5. thewonderer
    OP

    Newcomer thewonderer Member

    Joined:
    May 17, 2009
    Messages:
    38
    Country:
    United States
    On this page http://www.r4ids.cn/news.htm it says

    Please note:As long as your 3DS card support 3DS v2.2.0-4, then it will support V3.0.0-6 automatically (You might need to do V2.2.0-4 patch updating for your 3DS card first in some case), for non-3DS card, it will also support V3.0.0-6 directly after doing a DSi V1.43 patch updating..
     
  6. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    Well, that was dated december 22nd -- apparently according to that new post, it should work. I don't have one to test it for you.
     
  7. thewonderer
    OP

    Newcomer thewonderer Member

    Joined:
    May 17, 2009
    Messages:
    38
    Country:
    United States
    I get a card check failed when I try to update, why does that happen >.
     
  8. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    Are you running the update on a console other than a DS Lite?
    Card check may be failing because it requires reinsertion to recognize -- reinsertion doesn't work in DSi or 3DS consoles after launching homebrew (an AP feature)

    I have 2x R4i Gold 3DS version and they also won't update btw (stuck with halo & angel wings Dorasu game icon)
    However, they work on 3DS 3.0.06-U still.
     
  9. thewonderer
    OP

    Newcomer thewonderer Member

    Joined:
    May 17, 2009
    Messages:
    38
    Country:
    United States
    I'm trying the update on a DS Lite

    Wait they won't update but they work on your 3DS? If you don't mind me asking, what have you done with those carts so far?

    I'm trying it on 3.0.05....it would be pretty stupid to assume it would run on 3.0.06 right?
     
  10. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    Mine (I have two from the same batch) won't run either the official update files on any system (Card check always fails*) -- (I own DS Lite, XL, ad 2x 3DS's), the carts are both still stuck with the "DORASU" angelwings & halo game icon that they had when I got them in November.
    The 2.2x and 3.x updates have not blocked them (yes, these are official r4ids.cn R4i Gold 3DS cartridges).
    There are at least two known batches that have such problems with firmware updates, possibly more. I think there's only one batch that actually works without updating as mine do, but this is 3DS version not the version you have. I only mention it because this manufacturer is not as clean on its track record for reliability as it used to be.

    On the other hand I had zero issues with my two R4iDSN.com R4iDSN Gold 3DS carts also obtained in November. Any updates on those have installed correctly.


    also
    If something is blocked in 3.0.05 it will be blocked in 3.0.06 too, but if it works for 3.0.05 it will also work in 3.0.06.

    **a recent firmware fix (late Dec) that wasn't a bootloader update did install as the instructions described, but didn't change the icon or fix anything as far as I can tell-- it also still has issues running Wood off Filetrip, it only runs the Wood directly from r4ids.cn**
     
  11. tranfeer

    Member tranfeer GBAtemp Advanced Fan

    Joined:
    May 23, 2010
    Messages:
    772
    Country:
    Austria
    exangel , you should access http://www.r4ids.cn/r4i-download-e.html and download "The special patch for those red - "Loading" stucked 3DS cards...(Dec.19th,2011)" to repair your r4i gold 3ds.


    BTW, you should not update your cards because r4i gold 3ds with "DORASU" can suppot 3DS 3.0.0-6 without updating.
    
     
  12. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    I have tried that, and it said it was successful but did not change anything (same icon, same problem with using YWG's Wood R4 for R4iDSN that other people like Buleste don't have).
    I only discuss this because many other R4i Gold 3DS (r4ids.cn) owners were able to update to the Japanese Spongebob icon with the November update which doesn't work for me.

    I wouldn't have had any reason to attempt to update them, except I did try to do it in order to verify the upgrade process when helping other r4ids.cn cartridge owners.

    Ultimately my point is that if users of carts from r4ids.cn are trying to follow all instructions and still have problems it may not be their fault! Sometimes the problem can be the cartridge or the whole batch it came from. It's evident that they know it's happened now, when they released a special update intended only for a bad batch.
     
  13. tranfeer

    Member tranfeer GBAtemp Advanced Fan

    Joined:
    May 23, 2010
    Messages:
    772
    Country:
    Austria
    We just wonder why you use wood r4 for r4idsn? You should download WOOD R4 V1.42 for r4i gold 3ds downloaded from www.r4ids.cn.This patch is released for users who updated their cards by mistake. Just try downloading the wood r4 v1.42 from www.r4ids.cn
     
  14. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    I don't have any problem following this advice tranfeer. I do like and use my own cart.
    It's just a pain that there are at least 2 batches this fall that are inconsistent or even having errors. It makes troubleshooting for some people or giving them correct advice, problematic.
    I've had one person refuse to try updating their 3DS (because they had no access to DS Lite and the update file didn't work) even though I reported some of the DORASU angel bootloader flashcarts are 3.0.0x compatible like mine is.
    Since some of the previous batches required the Spongebob (Japanese) update, that inconsistency makes it harder and harder to help people properly every time.

    For some people the risk of following uncertain advice isn't worth it if they can get a refund or exchange for a different brand.
     
  15. jimmyemunoz

    Member jimmyemunoz GBAtemp Advanced Maniac

    Joined:
    Feb 23, 2009
    Messages:
    1,958
    Location:
    Louisiana
    Country:
    United States
    Exangel do you have the card that says 3DS on it or the one without 3DS written on the sticker? Just so you know, this is the second time I'm asking you because you didn't answer the first time.
     
  16. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    It says 3DS on the sticker in green. I've described it in detail at least twice before and I've never seen you ask. Sorry.
    Here is a picture of my spare in its packaging.

    Warning: Spoilers inside!
     
  17. tranfeer

    Member tranfeer GBAtemp Advanced Fan

    Joined:
    May 23, 2010
    Messages:
    772
    Country:
    Austria
    exangel, thank your for your help and advice.
    Please have a look at here:
    http://www.r4ids.cn/r4ids-e.html

    The game icon and the system version are listed.
    Just have a check.
     
    1 person likes this.
  18. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    That is SO helpful, thank you!
     
  19. thewonderer
    OP

    Newcomer thewonderer Member

    Joined:
    May 17, 2009
    Messages:
    38
    Country:
    United States
    But you guys

    I have the NON 3DS cart, any advice for me?
     
  20. exangel

    Member exangel executioner angel

    Joined:
    Apr 20, 2010
    Messages:
    1,574
    Location:
    Tucson, AZ
    Country:
    United States
    You didn't describe enough about your problem to give you any more advice than exists on the website.
    The update file doesn't run, I get that.

    What is the current icon on your cartridge, when you put it in a system that can still operate it?
    They've updated their site so that there's now a chart of what game icon is present if you have installed the bootloader that is compatible with 3DS 3.0.06x
    The chart tranfeer linked includes compatibility of the Non-3DS cart.


    edit: I'm also sorry to derail your thread, but if it was helpful to the R4iDS.cn team to decide to create that chart, it was 100% worth branching off where it did.
     

Share This Page